;
; A simple boot sector that prints a message to the screen using a BIOS routine.
;
[org 0x7c00]
  mov [BOOT_DRIVE], dl
  
  mov bp, 0x8000				; On bouge la pile loin des trucs important
  mov sp, bp
  
  mov bx, 0x9000				; On load 5 secteurs du boot disk de 0x0000 à 0x9000
  mov dh, 5
  mov dl, [BOOT_DRIVE]
  call disk_load
  
  mov dx, [0x9000]				; On affiche le mot chargé à l'adresse 0x9000, qui est sensé être le premier mot,
  call print_hex				; c'est à dire 0xdada
  
  mov dx, [0x9000 + 512]		; Puis on bouge 512 octets plus loin, à l'adresse du deuxième mot (pourquoi 512 ? Le mot
  call print_hex				; fait 256 octets de long o_O)
  
  jmp $

%include "src\util\print_string.asm"
%include "src\util\print_hex.asm"
%include "src\disk_load.asm"

; Variables
BOOT_DRIVE: db 0

; Padding and magic number
  times 510-($-$$) db 0
  dw 0xaa55
  
; Additional data
  times 256 dw 0xdada
  times 256 dw 0xface